Bug 811757 - SELinux is preventing spice-vdagentd from using the 'signal' accesses on a process.
SELinux is preventing spice-vdagentd from using the 'signal' accesses on a pr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2ab574d0eb8c44df705830cc766...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 18:00 EDT by Matěj Cepl
Modified: 2012-04-18 18:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-114.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 18:51:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2012-04-11 18:00:37 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-1.fc17.i686
time:           Wed 11 Apr 2012 11:58:56 PM CEST

description:
:SELinux is preventing spice-vdagentd from using the 'signal' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that spice-vdagentd should be allowed signal access on processes labeled vdagent_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep spice-vdagentd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:vdagent_t:s0
:Target Context                system_u:system_r:vdagent_t:s0
:Target Objects                 [ process ]
:Source                        spice-vdagentd
:Source Path                   spice-vdagentd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-110.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-1.fc17.i686 #1
:                              SMP Mon Mar 19 03:19:22 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    Wed 11 Apr 2012 11:57:46 PM CEST
:Last Seen                     Wed 11 Apr 2012 11:57:46 PM CEST
:Local ID                      37c549d7-3e60-4ff2-9bd9-4c0d7f539daf
:
:Raw Audit Messages
:type=AVC msg=audit(1334181466.549:332): avc:  denied  { signal } for  pid=528 comm="spice-vdagentd" scontext=system_u:system_r:vdagent_t:s0 tcontext=system_u:system_r:vdagent_t:s0 tclass=process
:
:
:Hash: spice-vdagentd,vdagent_t,vdagent_t,process,signal
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-04-12 04:36:47 EDT
Fixed in selinux-policy-3.10.0-114.fc17.noarch
Comment 2 Fedora Update System 2012-04-13 04:41:32 EDT
selinux-policy-3.10.0-114.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-114.fc17
Comment 3 Fedora Update System 2012-04-13 21:46:20 EDT
Package selinux-policy-3.10.0-114.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-114.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5870/selinux-policy-3.10.0-114.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-18 18:51:06 EDT
selinux-policy-3.10.0-114.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.